%global         pypi_name      voevent-parse

Name:           python-voevent-parse
Version:        1.0.3
Release:        %mkrel 3
Summary:        A lightweight library for manipulating VOEvent files
License:        BSD
Group:          Development/Python

URL:            https://github.com/timstaley/voevent-parse
Source0:        https://pypi.io/packages/source/v/voevent-parse/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch


%description
A lightweight library for parsing, manipulating, and generating
VOEvent XML packets.


%package -n python3-voevent-parse
Summary:        Python3 implementation of VOEvent
Group:          Development/Python
BuildRequires:  python3
BuildRequires:  python3dist(setuptools)
BuildArch:      noarch
Provides:       python3-voeventlib = %{version}-%{release}
Provides:       python3-voeventparse = %{version}-%{release}
%{?python_provide:%python_provide python3-voevent-parse}

%description -n python3-voevent-parse
A lightweight library for parsing, manipulating, and generating
VOEvent XML packets.


%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1

%__rm -rf %{pypi_name}.egg-info
%__rm -rf __pycache__


%build
%py3_build


%install
%py3_install


%files -n python3-voevent-parse
%doc README.rst
%{python3_sitelib}/voeventparse
%{python3_sitelib}/voevent_parse-%{version}-py?.?.egg-info



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.0.3-3.mga8
+ Revision: 1533983
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 1.0.3-2.mga8
+ Revision: 1446536
- rebuild for python3.8
- drop python2 support

* Thu Jan 10 2019 shlomif <shlomif> 1.0.3-1.mga7
+ Revision: 1354617
- New version

* Fri Sep 21 2018 umeabot <umeabot> 1.0.2-4.mga7
+ Revision: 1290517
- Mageia 7 Mass Rebuild

* Fri Aug 10 2018 eatdirt <eatdirt> 1.0.2-3.mga7
+ Revision: 1250901
- Fix embarassing mistake of building a mix of python2 and 3

* Wed Aug 08 2018 eatdirt <eatdirt> 1.0.2-2.mga7
+ Revision: 1250052
- Fix missing deps to python3-astropy

* Mon Apr 30 2018 daviddavid <daviddavid> 1.0.2-1.mga7
+ Revision: 1223819
- new version: 1.0.2
- rename python-voevent-parse to python2-voevent-parse

* Sat Aug 05 2017 pterjan <pterjan> 1.0.1-3.mga7
+ Revision: 1135684
- Rebuild for python 3.6

* Mon Dec 19 2016 eatdirt <eatdirt> 1.0.1-2.mga6
+ Revision: 1076187
- Remove unnecessary Requires + fix typos

* Mon Dec 19 2016 eatdirt <eatdirt> 1.0.1-1.mga6
+ Revision: 1076073
- imported package python-voevent-parse


* Mon Dec 19 2016 Eatdirt <eatdirt@mageia.org> 1.0.1-1.mga6
- Importing python-voevent-parse to obsolete python-voeventlib
